#!/bin/bash
TMP_ZETTELKASTEN=""

setup() {
    source ../zk

    TMP_ZETTELKASTEN="$(mktemp -d)"
}

teardown() {
	rm -rf "$TMP_ZETTELKASTEN"
}

test__zk_rm_gives_error_when_no_zettel_id_given() {
    # shellcheck disable=SC2016
    #fake rm 'echo'

    assert_status_code 1 '_zk_rm'
}

test__zk_rm_gives_error_when_nonexistent_zettel_id_given() {
    export ZKDIR="$TMP_ZETTELKASTEN"
    zettel_id="11111111111111"

    assert_status_code 2 '_zk_rm $zettel_id'
}

test__zk_rm_succeeds_when_existent_zettel_id_given() {
    export ZKDIR="$TMP_ZETTELKASTEN"
    zettel_id="11111111111111"
    touch "$ZKDIR/$zettel_id"

    assert_status_code 0 '_zk_rm 11111111111111'
}

test__zk_rm_removes_file_when_existent_zettel_id_given() {
    export ZKDIR="$TMP_ZETTELKASTEN"
    zettel_id="11111111111111"
    echo testing >>  "$ZKDIR/$zettel_id"

    _zk_rm "$zettel_id"

    assert_fails 'test -f "$ZKDIR/$zettel_id"'
}
